org.apache.flume.sink

## Class AbstractSinkSelector

- java.lang.Object
- - org.apache.flume.sink.AbstractSinkSelector

- All Implemented Interfaces:
    Configurable, LifecycleAware, LoadBalancingSinkProcessor.SinkSelector

      public abstract class AbstractSinkSelector
      extends Object
      implements LoadBalancingSinkProcessor.SinkSelector

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `maxTimeOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSinkSelector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `LifecycleState` | `getLifecycleState()` Return the current state of the service or component.
    `protected List<Sink>` | `getSinks()`
    `void` | `informSinkFailed(Sink failedSink)`
    `void` | `setSinks(List<Sink> sinks)`
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.sink.LoadBalancingSinkProcessor.SinkSelector

      `createSinkIterator`

- - ### Field Detail

    - #### maxTimeOut

          protected long maxTimeOut

  - ### Constructor Detail

    - #### AbstractSinkSelector

          public AbstractSinkSelector()

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Description copied from interface: `LifecycleAware`

      Return the current state of the service or component.

      Specified by:
        `getLifecycleState` in interface `LifecycleAware`

    - #### setSinks

          public void setSinks(List<Sink> sinks)

      Specified by:
        `setSinks` in interface `LoadBalancingSinkProcessor.SinkSelector`

    - #### getSinks

          protected List<Sink> getSinks()

    - #### informSinkFailed

          public void informSinkFailed(Sink failedSink)

      Specified by:
        `informSinkFailed` in interface `LoadBalancingSinkProcessor.SinkSelector`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.